<?PHP include("config.php");

// set the page title
$pagetitle = "Triathlon Coaches";

// set meta tags
$meta_keywords = "triathlon, trifind, duathlon";
$meta_description = "Are you trying to find triathlon coaches in near your area? You can browse all triathlon coaches organized by states, to find which ones you want to use.";
?>

<? include("include_common_head.php"); ?>
<body class="listings">
  <? include($common_path . "/ads/ad_wallpaper.html"); ?>

  <div class="container">
    <? include($common_path . "/templates/include_header.php"); ?>
    <div class="main">
      <div class="contentwrapper clearfix">
        <? include("include_breadcrumb.php"); ?>

        <section class="section listings section-has-widgets section-static remove-sidebar">
          <div class="sidebar-b">
            <? include("include_sidebar.php"); ?>
          </div>

          <div class="content content-has-widgets">
            <div class="grid">

              <div class="clearfix">
                <h1 class="float-left">Triathlon Coaches</h1>
                <? if (is_logged_in($user)) { ?>
                <a href="<? echo $site_url . '/add.php' ?>" class="btn btn-white float-right">Add Coach</a>
                <? } ?>
                <hr class="line" />
                <? include("../runshops/include_region_list.php"); ?>

                <div class="map-container">
                  <div id="map" class="map" data-name="coach" data-json="<? echo $main_site_url ?>/googlemaps/json/coach.json"></div><!--xml relative path from js folder -->
                </div>

                    <?
                    $num = mysql_num_rows(mysql_query("SELECT coach_id FROM ".$prefix."Coaches WHERE coach_valid=1"));
                    ?>
                    <h3>Welcome to Slowtwitch.com's North American Triathlon Coach Database</h3>
                    <p><? echo($num) ?> coaches and counting. This collection of coaches is the most complete and comprehensive
                    selection of triathlon coaches in North America.</p>

                    <h3>Searching the database</h3>
                    <p>
                    Our Advanced Search is very potent, and will help you drill down to that set
                    of coaches conforming to a specific purpose you have in mind.
                    </p>
                    <h3>Browsing the database</h3>
                    <p>
                    You do not need to log in to do this. You'll find a list of coaches in
                    your region by clicking the regional links on the left.  Click the (+) sign
                    and the region will expand to expose the individual states.  Click on the
                    state to show that list of coaches in it.  If you want to see coaches in
                    multiple states, but not those states we've aggregated into the regions you
                    see at left, you may do this via our Advanced Search.
                    </p>

                    <h3>Showing solidarity with your coach</h3>
                    <p>
                    When you see your personal coach listed here, you may click the "I AM COACHED" button.  Your User Name will be added to the coaches's list of clients,
                    just like your User Name appends to those races you choose when you build
                    your Slowtwitch Personal Race Calendar.  Likewise, your Forum User Profile
                    will show that this is your coach of choice.
                    </p>
                    <div class="advert float-left">
                        <? include($common_path . "/ads/ad_300x250_roadblocks.html"); ?>
                    </div>
                    <h3>How to enter a coach</h3>
                    <p>
                    You must be a registered user to add a coach to the database. There is
                    one common type of registration on Slowtwitch, and if you are registered to
                    post on our Reader Forum you are one of 
                    <?
                    $num_users = mysql_num_rows(mysql_query("SELECT user_id FROM ".$prefix."User WHERE 1=1"));
                    echo number_format($num_users);
                    ?>
                     who have made a registration,
                    and this means you're able to add coaches to our database.
                    <br /><br />
                    If you're not registered, the login prompt is to the left of the page, near
                    the top. The registration process is straightforward, easy, and free. It
                    will require you to receive an email and click on a link to complete your
                    registration. All this should take you only a minute or two. Then...
                    <br /><br />
                    1. Click the ADD A COACH button to begin adding to the database.
                    <br /><br />
                    2. Once you SUBMIT your coach, you'll also need to CONFIRM your submission
                    via a link at the bottom of the page.
                    <br /><br />
                    3. Once you successfully add your coach, it will not immediately be visible
                    to you. We must validate the addition on our end before anyone can see it.
                    We do this so that spammers won't use the coach registration as a way to spam
                    our database.
                    </p>
                    <h3>How to edit published information about a coach</h3>
                    <p>Any registered user may edit information for a listing. We will review the full contents of each update before confirming any changes that are made. A list of all editors who have made changes is visible at the bottom of each listing. If an entry has been updated, but those changes have not yet been confirmed, this is evident via a note on the individual page for that particular entry. This is to prevent conflicting updates from occuring simultaneously. If you wish to update an entry with pending changes, please wait until we have had a chance to review those changes first. Someone may have already changed the information you were going to change yourself. </p>
                    <h3>How to comment on a coach</h3>
                    <p>Any registered user may make a comment on a coach listing. These comments are subject to validation by an administrator before being published.</p>
                    <h3>Global coach map</h3>
                    <p>The map below shows the location of all registered Slowtwitch coaches around the globe. You can drag the map, zoom-in, zoom-out, and use any other of the standard Google Maps features. Anywhere you see a red icon, you can click to see the name of that coach and a street address.</p>

              </div><!-- end col-2/3 -->

            </div><!-- end grid -->
          </div><!-- end content -->
        </section>

      </div><!-- end contentwrapper -->
    </div> <!-- end main -->

  <? include($common_path . "/templates/include_footer.php") ?>
  </div> <!-- container  -->
</body>
<? include($common_path . "/templates/include_global_js.php") ?>
</html>
