{
	'cache' => {
		'time' => '1672499734',
		'updates' => [
			bless(
				{
					'deps' => [],
					'description' => 'This update fixes a bug in GT::WWW where it would cause link verify to fail with a -4 (Could not connect) error.',
					'files' => [
						[
							'186',
							'library',
							'',
							'0644',
							'GT/WWW.pm'
						]
					],
					'id' => '132',
					'installed' => '1',
					'paths' => {
						'fixed' => {
							'build' => '/var/home/slowtwitch/slowtwitch.com/www',
							'cool' => '/var/home/slowtwitch/slowtwitch.com/www/Cool',
							'detail' => '/var/home/slowtwitch/slowtwitch.com/www',
							'new' => '/var/home/slowtwitch/slowtwitch.com/www/New',
							'ratings' => '/var/home/slowtwitch/slowtwitch.com/www/Ratings',
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'library' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						},
						'script' => {
							'admin' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin',
							'cgi' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles'
						},
						'static' => {
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'template' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/templates'
						},
						'version' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						}
					},
					'revdeps' => [],
					'reversible' => '1',
					'severity' => '2',
					'title' => 'GT::WWW unresolvable host error fix',
					'unique' => '0'
				},
				'GT::Update::Update'
			),
			bless(
				{
					'deps' => [],
					'description' => 'This update fixes an error where editors using browser.cgi get an error, "You are not authorized to perform this action," when attempting to modify a link that they should be able to modify.',
					'files' => [
						[
							'187',
							'library',
							'',
							'0644',
							'Links/Browser/Controller.pm'
						]
					],
					'id' => '133',
					'installed' => '1',
					'paths' => {
						'fixed' => {
							'build' => '/var/home/slowtwitch/slowtwitch.com/www',
							'cool' => '/var/home/slowtwitch/slowtwitch.com/www/Cool',
							'detail' => '/var/home/slowtwitch/slowtwitch.com/www',
							'new' => '/var/home/slowtwitch/slowtwitch.com/www/New',
							'ratings' => '/var/home/slowtwitch/slowtwitch.com/www/Ratings',
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'library' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						},
						'script' => {
							'admin' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin',
							'cgi' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles'
						},
						'static' => {
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'template' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/templates'
						},
						'version' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						}
					},
					'revdeps' => [],
					'reversible' => '1',
					'severity' => '1',
					'title' => 'Editor browser error on link modify',
					'unique' => '0'
				},
				'GT::Update::Update'
			),
			bless(
				{
					'deps' => [],
					'description' => 'This update fixes "ColumnName cannot contain the value \'\'" error when attempting to modify a link with an INT column (null = yes, no default).',
					'files' => [
						[
							'188',
							'library',
							'',
							'0644',
							'Links/User/Modify.pm'
						]
					],
					'id' => '134',
					'installed' => '1',
					'paths' => {
						'fixed' => {
							'build' => '/var/home/slowtwitch/slowtwitch.com/www',
							'cool' => '/var/home/slowtwitch/slowtwitch.com/www/Cool',
							'detail' => '/var/home/slowtwitch/slowtwitch.com/www',
							'new' => '/var/home/slowtwitch/slowtwitch.com/www/New',
							'ratings' => '/var/home/slowtwitch/slowtwitch.com/www/Ratings',
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'library' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						},
						'script' => {
							'admin' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin',
							'cgi' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles'
						},
						'static' => {
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'template' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/templates'
						},
						'version' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						}
					},
					'revdeps' => [],
					'reversible' => '1',
					'severity' => '1',
					'title' => 'INT validation error on modify',
					'unique' => '0'
				},
				'GT::Update::Update'
			),
			bless(
				{
					'deps' => [],
					'description' => 'This update fixes two bugs in the category browser: 1) Error deleting a link on the user side category browser (ie. not the admin one) from search results when the category depth is greater than 1. 2) When the link_validate_date option was turned on, Add_Date was getting set to the current date on modify.',
					'files' => [
						[
							'189',
							'library',
							'',
							'0644',
							'Links/Browser.pm'
						]
					],
					'id' => '135',
					'installed' => '1',
					'paths' => {
						'fixed' => {
							'build' => '/var/home/slowtwitch/slowtwitch.com/www',
							'cool' => '/var/home/slowtwitch/slowtwitch.com/www/Cool',
							'detail' => '/var/home/slowtwitch/slowtwitch.com/www',
							'new' => '/var/home/slowtwitch/slowtwitch.com/www/New',
							'ratings' => '/var/home/slowtwitch/slowtwitch.com/www/Ratings',
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'library' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						},
						'script' => {
							'admin' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin',
							'cgi' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles'
						},
						'static' => {
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'template' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/templates'
						},
						'version' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						}
					},
					'revdeps' => [
						'140'
					],
					'reversible' => '1',
					'severity' => '1',
					'title' => 'Category Browser fixes',
					'unique' => '0'
				},
				'GT::Update::Update'
			),
			bless(
				{
					'deps' => [],
					'description' => 'This update fixes a bug in the payment code where the name and e-mail address of the user aren\'t correctly passed to the link_expired.eml and link_expiry_notify.eml e-mail templates.',
					'files' => [
						[
							'190',
							'library',
							'',
							'0644',
							'Links/Payment.pm'
						]
					],
					'id' => '136',
					'installed' => '1',
					'paths' => {
						'fixed' => {
							'build' => '/var/home/slowtwitch/slowtwitch.com/www',
							'cool' => '/var/home/slowtwitch/slowtwitch.com/www/Cool',
							'detail' => '/var/home/slowtwitch/slowtwitch.com/www',
							'new' => '/var/home/slowtwitch/slowtwitch.com/www/New',
							'ratings' => '/var/home/slowtwitch/slowtwitch.com/www/Ratings',
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'library' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						},
						'script' => {
							'admin' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin',
							'cgi' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles'
						},
						'static' => {
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'template' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/templates'
						},
						'version' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						}
					},
					'revdeps' => [],
					'reversible' => '1',
					'severity' => '1',
					'title' => 'Broken payment link expiry e-mails',
					'unique' => '0'
				},
				'GT::Update::Update'
			),
			bless(
				{
					'deps' => [],
					'description' => 'This update fixes the "defined(%hash) is deprecated" warnings that occur when using Gossamer Links with Perl 5.12 and higher.',
					'files' => [
						[
							'191',
							'library',
							'',
							'0644',
							'bases.pm'
						],
						[
							'192',
							'library',
							'',
							'0644',
							'GT/MIMETypes.pm'
						],
						[
							'194',
							'library',
							'',
							'0644',
							'GT/SQL/Base.pm'
						],
						[
							'193',
							'library',
							'',
							'0644',
							'GT/Template.pm'
						]
					],
					'id' => '137',
					'installed' => '1',
					'paths' => {
						'fixed' => {
							'build' => '/var/home/slowtwitch/slowtwitch.com/www',
							'cool' => '/var/home/slowtwitch/slowtwitch.com/www/Cool',
							'detail' => '/var/home/slowtwitch/slowtwitch.com/www',
							'new' => '/var/home/slowtwitch/slowtwitch.com/www/New',
							'ratings' => '/var/home/slowtwitch/slowtwitch.com/www/Ratings',
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'library' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						},
						'script' => {
							'admin' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin',
							'cgi' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles'
						},
						'static' => {
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'template' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/templates'
						},
						'version' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						}
					},
					'revdeps' => [],
					'reversible' => '1',
					'severity' => '1',
					'title' => '"defined(%hash) is deprecated" warning',
					'unique' => '0'
				},
				'GT::Update::Update'
			),
			bless(
				{
					'deps' => [],
					'description' => 'This update fixes an issue with the template parser if there were extra spaces after the "and" in an "if" condition.',
					'files' => [
						[
							'195',
							'library',
							'',
							'0644',
							'GT/Template/Parser.pm'
						]
					],
					'id' => '138',
					'installed' => '1',
					'paths' => {
						'fixed' => {
							'build' => '/var/home/slowtwitch/slowtwitch.com/www',
							'cool' => '/var/home/slowtwitch/slowtwitch.com/www/Cool',
							'detail' => '/var/home/slowtwitch/slowtwitch.com/www',
							'new' => '/var/home/slowtwitch/slowtwitch.com/www/New',
							'ratings' => '/var/home/slowtwitch/slowtwitch.com/www/Ratings',
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'library' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						},
						'script' => {
							'admin' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin',
							'cgi' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles'
						},
						'static' => {
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'template' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/templates'
						},
						'version' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						}
					},
					'revdeps' => [],
					'reversible' => '1',
					'severity' => '1',
					'title' => 'Template parser syntax error',
					'unique' => '0'
				},
				'GT::Update::Update'
			),
			bless(
				{
					'deps' => [],
					'description' => 'This update fixes a bug where some files (eg. ones with parenthesis in them) uploaded to FILE columns would trigger an ILLEGALCHARS error.',
					'files' => [
						[
							'196',
							'library',
							'',
							'0644',
							'GT/SQL/File.pm'
						]
					],
					'id' => '139',
					'installed' => '1',
					'paths' => {
						'fixed' => {
							'build' => '/var/home/slowtwitch/slowtwitch.com/www',
							'cool' => '/var/home/slowtwitch/slowtwitch.com/www/Cool',
							'detail' => '/var/home/slowtwitch/slowtwitch.com/www',
							'new' => '/var/home/slowtwitch/slowtwitch.com/www/New',
							'ratings' => '/var/home/slowtwitch/slowtwitch.com/www/Ratings',
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'library' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						},
						'script' => {
							'admin' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin',
							'cgi' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles'
						},
						'static' => {
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'template' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/templates'
						},
						'version' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						}
					},
					'revdeps' => [],
					'reversible' => '1',
					'severity' => '1',
					'title' => 'Filename errors with uploaded files',
					'unique' => '0'
				},
				'GT::Update::Update'
			),
			bless(
				{
					'deps' => [
						'135'
					],
					'description' => 'This update fixes a bug in the last category browser update where deleting a link that\'s in multiple categories deletes the link from all categories.',
					'files' => [
						[
							'197',
							'library',
							'',
							'0644',
							'Links/Browser.pm'
						]
					],
					'id' => '140',
					'installed' => '1',
					'paths' => {
						'fixed' => {
							'build' => '/var/home/slowtwitch/slowtwitch.com/www',
							'cool' => '/var/home/slowtwitch/slowtwitch.com/www/Cool',
							'detail' => '/var/home/slowtwitch/slowtwitch.com/www',
							'new' => '/var/home/slowtwitch/slowtwitch.com/www/New',
							'ratings' => '/var/home/slowtwitch/slowtwitch.com/www/Ratings',
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'library' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						},
						'script' => {
							'admin' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin',
							'cgi' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles'
						},
						'static' => {
							'static' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static'
						},
						'template' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/templates'
						},
						'version' => {
							'' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin'
						}
					},
					'revdeps' => [],
					'reversible' => '1',
					'severity' => '2',
					'title' => 'Category Browser fixes fix',
					'unique' => '0'
				},
				'GT::Update::Update'
			)
		],
		'version' => '1.1'
	},
	'installed' => {
		'3.3.0' => {
			'132' => {
				'deps' => [],
				'description' => 'This update fixes a bug in GT::WWW where it would cause link verify to fail with a -4 (Could not connect) error.',
				'files' => [
					{
						'backup' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/updates/132-1254088697-library--GT-WWW.pm.backup',
						'dir' => '',
						'file' => 'GT/WWW.pm',
						'id' => '186',
						'mode' => '0644',
						'path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/GT/WWW.pm',
						'subtype' => '',
						'type' => 'library'
					}
				],
				'installed' => '1254088697',
				'reversible' => '1',
				'severity' => '2',
				'title' => 'GT::WWW unresolvable host error fix',
				'unique' => '0'
			},
			'133' => {
				'deps' => [],
				'description' => 'This update fixes an error where editors using browser.cgi get an error, "You are not authorized to perform this action," when attempting to modify a link that they should be able to modify.',
				'files' => [
					{
						'backup' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/updates/133-1254088697-library--Links-Browser-Controller.pm.backup',
						'dir' => '',
						'file' => 'Links/Browser/Controller.pm',
						'id' => '187',
						'mode' => '0644',
						'path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/Links/Browser/Controller.pm',
						'subtype' => '',
						'type' => 'library'
					}
				],
				'installed' => '1254088697',
				'reversible' => '1',
				'severity' => '1',
				'title' => 'Editor browser error on link modify',
				'unique' => '0'
			},
			'134' => {
				'deps' => [],
				'description' => 'This update fixes "ColumnName cannot contain the value \'\'" error when attempting to modify a link with an INT column (null = yes, no default).',
				'files' => [
					{
						'backup' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/updates/134-1362433281-library--Links-User-Modify.pm.backup',
						'dir' => '',
						'file' => 'Links/User/Modify.pm',
						'id' => '188',
						'mode' => '0644',
						'path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/Links/User/Modify.pm',
						'subtype' => '',
						'type' => 'library'
					}
				],
				'installed' => '1362433281',
				'reversible' => '1',
				'severity' => '1',
				'title' => 'INT validation error on modify',
				'unique' => '0'
			},
			'135' => {
				'deps' => [],
				'description' => 'This update fixes two bugs in the category browser: 1) Error deleting a link on the user side category browser (ie. not the admin one) from search results when the category depth is greater than 1. 2) When the link_validate_date option was turned on, Add_Date was getting set to the current date on modify.',
				'files' => [
					{
						'backup' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/updates/135-1362433281-library--Links-Browser.pm.backup',
						'dir' => '',
						'file' => 'Links/Browser.pm',
						'id' => '189',
						'mode' => '0644',
						'path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/Links/Browser.pm',
						'subtype' => '',
						'type' => 'library'
					}
				],
				'installed' => '1362433281',
				'reversible' => '1',
				'severity' => '1',
				'title' => 'Category Browser fixes',
				'unique' => '0'
			},
			'136' => {
				'deps' => [],
				'description' => 'This update fixes a bug in the payment code where the name and e-mail address of the user aren\'t correctly passed to the link_expired.eml and link_expiry_notify.eml e-mail templates.',
				'files' => [
					{
						'backup' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/updates/136-1362433281-library--Links-Payment.pm.backup',
						'dir' => '',
						'file' => 'Links/Payment.pm',
						'id' => '190',
						'mode' => '0644',
						'path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/Links/Payment.pm',
						'subtype' => '',
						'type' => 'library'
					}
				],
				'installed' => '1362433281',
				'reversible' => '1',
				'severity' => '1',
				'title' => 'Broken payment link expiry e-mails',
				'unique' => '0'
			},
			'137' => {
				'deps' => [],
				'description' => 'This update fixes the "defined(%hash) is deprecated" warnings that occur when using Gossamer Links with Perl 5.12 and higher.',
				'files' => [
					{
						'backup' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/updates/137-1362433281-library--bases.pm.backup',
						'dir' => '',
						'file' => 'bases.pm',
						'id' => '191',
						'mode' => '0644',
						'path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/bases.pm',
						'subtype' => '',
						'type' => 'library'
					},
					{
						'backup' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/updates/137-1362433281-library--GT-MIMETypes.pm.backup',
						'dir' => '',
						'file' => 'GT/MIMETypes.pm',
						'id' => '192',
						'mode' => '0644',
						'path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/GT/MIMETypes.pm',
						'subtype' => '',
						'type' => 'library'
					},
					{
						'backup' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/updates/137-1362433281-library--GT-SQL-Base.pm.backup',
						'dir' => '',
						'file' => 'GT/SQL/Base.pm',
						'id' => '194',
						'mode' => '0644',
						'path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/GT/SQL/Base.pm',
						'subtype' => '',
						'type' => 'library'
					},
					{
						'backup' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/updates/137-1362433281-library--GT-Template.pm.backup',
						'dir' => '',
						'file' => 'GT/Template.pm',
						'id' => '193',
						'mode' => '0644',
						'path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/GT/Template.pm',
						'subtype' => '',
						'type' => 'library'
					}
				],
				'installed' => '1362433281',
				'reversible' => '1',
				'severity' => '1',
				'title' => '"defined(%hash) is deprecated" warning',
				'unique' => '0'
			},
			'138' => {
				'deps' => [],
				'description' => 'This update fixes an issue with the template parser if there were extra spaces after the "and" in an "if" condition.',
				'files' => [
					{
						'backup' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/updates/138-1362433281-library--GT-Template-Parser.pm.backup',
						'dir' => '',
						'file' => 'GT/Template/Parser.pm',
						'id' => '195',
						'mode' => '0644',
						'path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/GT/Template/Parser.pm',
						'subtype' => '',
						'type' => 'library'
					}
				],
				'installed' => '1362433281',
				'reversible' => '1',
				'severity' => '1',
				'title' => 'Template parser syntax error',
				'unique' => '0'
			},
			'139' => {
				'deps' => [],
				'description' => 'This update fixes a bug where some files (eg. ones with parenthesis in them) uploaded to FILE columns would trigger an ILLEGALCHARS error.',
				'files' => [
					{
						'backup' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/updates/139-1362433281-library--GT-SQL-File.pm.backup',
						'dir' => '',
						'file' => 'GT/SQL/File.pm',
						'id' => '196',
						'mode' => '0644',
						'path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/GT/SQL/File.pm',
						'subtype' => '',
						'type' => 'library'
					}
				],
				'installed' => '1362433281',
				'reversible' => '1',
				'severity' => '1',
				'title' => 'Filename errors with uploaded files',
				'unique' => '0'
			},
			'140' => {
				'deps' => [
					'135'
				],
				'description' => 'This update fixes a bug in the last category browser update where deleting a link that\'s in multiple categories deletes the link from all categories.',
				'files' => [
					{
						'backup' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/updates/140-1362433281-library--Links-Browser.pm.backup',
						'dir' => '',
						'file' => 'Links/Browser.pm',
						'id' => '197',
						'mode' => '0644',
						'path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin/Links/Browser.pm',
						'subtype' => '',
						'type' => 'library'
					}
				],
				'installed' => '1362433281',
				'reversible' => '1',
				'severity' => '2',
				'title' => 'Category Browser fixes fix',
				'unique' => '0'
			}
		}
	}
};

# vim:syn=perl:ts=4:noet
