# ==================================================================
# Gossamer Links - enhanced directory management system
#
#   Website  : http://gossamer-threads.com/
#   Support  : http://gossamer-threads.com/support/
#   Updated  : Sun May 19 21:05:55 2024
# 
# Copyright (c) 2004 Gossamer Threads Inc.  All Rights Reserved.
# Redistribution in part or in whole strictly prohibited. Please
# see LICENSE file for full details.
# ==================================================================

{
	'add_system_fields' => {
		'Hits' => '0',
		'Rating' => '0',
		'SlideShowCache' => '{}',
		'Status' => '0',
		'Votes' => '0',
		'isChanged' => 'No',
		'isNew' => 'No',
		'isPopular' => 'No'
	},
	'admin_email_add' => '1',
	'admin_email_mod' => '1',
	'admin_email_review_add' => '1',
	'admin_email_review_mod' => '1',
	'admin_root_path' => '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin',
	'admin_root_url' => '/cgi-bin/articles/admin',
	'bans' => [],
	'bookmark_enabled' => '0',
	'bookmark_folder_default_name' => 'Default',
	'bookmark_folder_limit' => '5',
	'bookmark_folders_per_page' => '25',
	'bookmark_links_limit' => '100',
	'bookmark_links_per_page' => '25',
	'bookmark_links_sort' => 'Title',
	'bookmark_links_sort_order' => 'ASC',
	'bookmark_users_per_page' => '25',
	'build_auto_validate' => '1',
	'build_category_columns' => '2',
	'build_category_dynamic' => 'Full_Name',
	'build_category_format' => '%Full_Name%',
	'build_category_sort' => 'Name',
	'build_category_table' => 'border=0 width="100%"',
	'build_category_yahoo' => '1',
	'build_cool_gb' => '1',
	'build_cool_path' => '/var/home/slowtwitch/slowtwitch.com/www/Cool',
	'build_cool_url' => '/Cool',
	'build_css_url' => '/articles/static/css/links.css',
	'build_default_tpl' => 'twitch',
	'build_detail_format' => '%Full_Name%/%Title%_%ID%',
	'build_detail_path' => '/var/home/slowtwitch/slowtwitch.com/www',
	'build_detail_url' => 'https://www.slowtwitch.com',
	'build_detailed' => '1',
	'build_dir_per' => '0777',
	'build_extension' => '.html',
	'build_file_per' => '0666',
	'build_format_compat' => '2',
	'build_home' => '',
	'build_images_url' => '/images',
	'build_index' => 'index.html',
	'build_index_include' => '1',
	'build_links_per_page' => '25',
	'build_more' => 'more',
	'build_new_cutoff' => '7',
	'build_new_date_span_pages' => '1',
	'build_new_gb' => '1',
	'build_new_path' => '/var/home/slowtwitch/slowtwitch.com/www/New',
	'build_new_url' => '/New',
	'build_pop_cutoff' => '0.01',
	'build_ratings_path' => '/var/home/slowtwitch/slowtwitch.com/www/Ratings',
	'build_ratings_url' => '/Ratings',
	'build_root_path' => '/var/home/slowtwitch/slowtwitch.com/www',
	'build_root_url' => 'https://www.slowtwitch.com',
	'build_search_gb' => '0',
	'build_sort_order_category' => 'Mod_Date DESC, Add_Date DESC,Title ASC',
	'build_sort_order_cool' => 'Title',
	'build_sort_order_editor' => 'isValidated DESC, Title ASC',
	'build_sort_order_new' => 'Add_Date DESC,Title',
	'build_sort_order_search' => 'Mod_Date DESC',
	'build_sort_order_search_cat' => 'score',
	'build_sort_paid_first' => '1',
	'build_span_pages' => '1',
	'build_static_path' => '/var/home/slowtwitch/slowtwitch.com/www/articles/static',
	'build_static_url' => '/articles/static',
	'build_use_backup' => '0',
	'compress' => '1',
	'date_days_long' => [
		'Sunday',
		'Monday',
		'Tuesday',
		'Wednesday',
		'Thursday',
		'Friday',
		'Saturday'
	],
	'date_days_short' => [
		'Sun',
		'Mon',
		'Tue',
		'Wed',
		'Thu',
		'Fri',
		'Sat'
	],
	'date_db_format' => '%yyyy%-%mm%-%dd%',
	'date_expiry_format' => '%dddd% %mmm% %d% %yyyy% %h%:%MM% %tt%',
	'date_long_format' => '%dddd%, %mmmm% %dd% %yyyy%',
	'date_month_long' => [
		'January',
		'February',
		'March',
		'April',
		'May',
		'June',
		'July',
		'August',
		'September',
		'October',
		'November',
		'December'
	],
	'date_month_short' => [
		'Jan',
		'Feb',
		'Mar',
		'Apr',
		'May',
		'Jun',
		'Jul',
		'Aug',
		'Sep',
		'Oct',
		'Nov',
		'Dec'
	],
	'date_offset' => '0',
	'date_review_format' => '%mmm% %d% %yyyy% %h%:%MM%%tt%',
	'date_user_format' => '%ddd% %mmm% %dd% %yyyy%',
	'db_admin_email' => 'webmaster@slowtwitch.com',
	'db_cgi_url' => '/cgi-bin/articles',
	'db_cgi_url_https' => '/cgi-bin/articles',
	'db_gen_category_list' => '2',
	'db_hit_expire' => '2',
	'db_mail_path' => '/usr/sbin/sendmail',
	'db_rate_expire' => '2',
	'db_referers' => [],
	'db_smtp_server' => '',
	'debug_level' => '0',
	'disabled' => '0',
	'dynamic_404_status' => '0',
	'dynamic_no_url_transform' => [
		'<%build_static_url%>'
	],
	'dynamic_pages' => '1',
	'dynamic_preserve' => [
		't',
		'd',
		's'
	],
	'dynamic_preserve_sort_pages' => [
		'category',
		'detailed'
	],
	'email_add' => '1',
	'email_mod' => '1',
	'email_payment' => '1',
	'email_review_add' => '1',
	'error_message' => '',
	'featured_articles' => [
		'8954',
		'8953',
		'8951',
		'8950'
	],
	'featured_photos' => [
		'8823',
		'8822'
	],
	'fileman_root_dir' => '/var/home/slowtwitch/slowtwitch.com',
	'framed_jump' => '0',
	'header_charset' => 'utf-8',
	'last_build' => '1598637754.56255',
	'last_clicktrack_cleanup' => '2024-05-17',
	'link_validate_date' => '1',
	'links_cols_update_category' => 'isPopular, Rating, Votes',
	'newsletter_enabled' => '0',
	'newsletter_global_subscribe' => '0',
	'newsletter_max_depth' => '2',
	'nph_headers' => '1',
	'path_to_perl' => '/usr/local/bin/perl',
	'payment' => {
		'auto_validate' => '1',
		'description' => '',
		'direct' => {
			'methods' => {
				'AuthorizeDotNet' => {
					'module' => 'Links/Payment/Direct/AuthorizeDotNet.pm',
					'package' => 'Links::Payment::Direct::AuthorizeDotNet',
					'types' => [
						'AMEX',
						'DINERS',
						'DISC',
						'JCB',
						'MC',
						'VISA'
					]
				},
				'Moneris' => {
					'module' => 'Links/Payment/Direct/Moneris.pm',
					'package' => 'Links::Payment::Direct::Moneris',
					'types' => [
						'AMEX',
						'MC',
						'VISA',
						'DISC',
						'NOVA',
						'DINERS'
					]
				}
			},
			'used' => {}
		},
		'discounts' => {},
		'enabled' => '0',
		'expired_is_free' => '0',
		'expiry_notify' => '7',
		'mode' => '3',
		'postback' => [
			{
				'method' => 'PayPal',
				'type' => 'remote',
				'var' => 'txn_type'
			},
			{
				'method' => 'WorldPay',
				'type' => 'remote',
				'var' => 'transStatus'
			},
			{
				'method' => '2CheckOut',
				'type' => 'remote',
				'var' => 'cart_order_id'
			}
		],
		'remote' => {
			'methods' => {
				'2CheckOut' => {
					'module' => 'Links/Payment/Remote/2CheckOut.pm',
					'package' => 'Links::Payment::Remote::2CheckOut',
					'recurring' => '0',
					'types' => [
						'VISA',
						'MC',
						'AMEX',
						'DISC',
						'DINERS',
						'JCB'
					]
				},
				'Manual' => {
					'module' => 'Links/Payment/Remote/Manual.pm',
					'package' => 'Links::Payment::Remote::Manual',
					'recurring' => '0',
					'types' => [
						'MANUAL'
					]
				},
				'PayPal' => {
					'module' => 'Links/Payment/Remote/PayPal.pm',
					'package' => 'Links::Payment::Remote::PayPal',
					'recurring' => '1',
					'types' => [
						'PAYPAL'
					]
				},
				'WorldPay' => {
					'module' => 'Links/Payment/Remote/WorldPay.pm',
					'package' => 'Links::Payment::Remote::WorldPay',
					'recurring' => '1',
					'types' => [
						'VISA',
						'MC',
						'EURO',
						'VISA_DEBIT',
						'SWITCH',
						'SOLO',
						'DELTA',
						'JCB',
						'AMEX',
						'DINERS'
					]
				}
			},
			'used' => {}
		},
		'term' => {}
	},
	'private_sessions' => '1',
	'protected_vars' => [
		'error',
		'message',
		'secondarynav',
		'Meta_Description',
		'Meta_Keywords'
	],
	'quick_links' => {
		'admin.cgi?do=page&page=tools_validate.html' => 'Validate Links',
		'admin.cgi?do=page&page=tools_validate_changes.html' => 'Validate Changes',
		'admin.cgi?do=page&page=tools_validate_reviews.html' => 'Validate Reviews',
		'https://forum.slowtwitch.com/admin/delete_spam_comments.php' => 'Delete Spam',
		'https://www.slowtwitch.com/cgi-bin/articles/admin/cullGlist.php' => 'Cull gList',
		'https://www.slowtwitch.com/cgi-bin/articles/admin/nph-build.cgi?do=all' => 'Build All',
		'https://www.slowtwitch.com/cgi-bin/articles/admin/nph-build.cgi?do=changed' => 'Build Changed',
		'https://www.slowtwitch.com/myadminphp/index.php?token=b521b01fa6ed8c9f890b24b148ac74cb' => 'PHPMyAdmin'
	},
	'reg_number' => 'GL0807-06828-37',
	'review_allow_modify' => '1',
	'review_auto_validate' => '0',
	'review_convert_br_tags' => '1',
	'review_days_old' => '7',
	'review_max_reviews' => '1',
	'review_modify_timeout' => '0',
	'review_sort_by' => 'Review_Date',
	'review_sort_order' => 'desc',
	'reviews_per_page' => '25',
	'search_blocked' => [],
	'search_bool' => 'AND',
	'search_highlight_colors' => '5',
	'search_highlighting' => '1',
	'search_logging' => '0',
	'search_maxhits' => '25',
	'search_substring' => '0',
	'setup' => '1',
	'show_upgrade_rerun' => '0',
	'treecats_enabled' => '0',
	'updates' => {},
	'updates_check_on_home' => '1',
	'user_allow_pass' => '1',
	'user_cookie_domain' => '',
	'user_cookie_prefix' => '',
	'user_direct_mod' => '1',
	'user_link_validation' => '0',
	'user_rate_required' => '1',
	'user_required' => '1',
	'user_review_required' => '1',
	'user_session_length' => '3',
	'user_sessions' => 'Cookies',
	'user_validation' => '1',
	'verify_chunk' => '10',
	'verify_max_children' => '3',
	'version' => '3.3.0'
};

# vim:syn=perl:ts=4:noet
