#!/usr/local/bin/perl
# ==================================================================
# Gossamer Links - enhanced directory management system
#
#   Website  : http://gossamer-threads.com/
#   Support  : http://gossamer-threads.com/scripts/support/
#   CVS Info : 087,071,086,086,085      
#   Revision : $Id: treecats.cgi,v 1.6 2006/08/11 20:38:43 brewt Exp $
#
# Copyright (c) 2006 Gossamer Threads Inc.  All Rights Reserved.
# Redistribution in part or in whole strictly prohibited. Please
# see LICENSE file for full details.
# ==================================================================

use strict;
use lib '/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin';
use Links qw/$PLG/;
use Links::User::Treecats;

local $SIG{__DIE__} = \&Links::fatal;

Links::init('/var/home/slowtwitch/slowtwitch.com/cgi-bin/articles/admin');
Links::init_user();

if ($PLG->dispatch('check_request', \&Links::check_request)) {
    $PLG->dispatch('handle_treecats', \&Links::User::Treecats::handle);
}
